        Implicit        None

        Common /MAFRec/ Header, Scan
        Byte            Header (404), Scan (174)    !  174 for  35 degree MAFs,
                                                    !  600 for 120 degree MAFs,
                                                    ! 1600 for 360 degree MAFs.
        Integer*2       Iwords, Iblock, Ibytes, NCFlag, IMSYNC, IDirct (7)
        Byte            RSRV (8), MAFname (8)
        Integer*4       Ntype, Year, Day, mSec, ID, FWV, FWC, FWT, MLCa, MLCz,
     &                  Lines, NPixM, MaxPix, DIN (5), DINGR (2), DGHSK (2),
     &                  MMC, ANSUB (4), NOrbit, SCGEI (3), Spin (3),
     &                  Normal (3), UIPro, Vel (3), Sun (3), Sprat,
     &                  mSecOA, NSPNP, MnSPNP, MxSPNP

        Equivalence   (Header( 1),Iwords  ),  (Header( 97),   MMC   ),
     &                (Header( 3),Iblock  ),  (Header(101), ANSUB(1)),
     &                (Header( 5),Ibytes  ),  (Header(117),NOrbit   ),
     &                (Header( 9), Ntype  ),  (Header(121), SCGEI(1)),
     &                (Header(13),  Year  ),  (Header(133),  Spin(1)),
     &                (Header(17),   Day  ),  (Header(145),Normal(1)),
     &                (Header(21),  mSec  ),  (Header(157), UIPro   ),
     &                (Header(25),    ID  ),  (Header(161),   Vel(1)),
     &                (Header(29),   FWV  ),  (Header(173),   Sun(1)),
     &                (Header(33),   FWC  ),  (Header(185), Sprat   ),
     &                (Header(37),   FWT  ),  (Header(189),mSecOA   ),
     &                (Header(41),  MLCa  ),  (Header(193), NSPNP   ),
     &                (Header(45),  MLCz  ),  (Header(197),MnSPNP   ),
     &                (Header(49), Lines  ),  (Header(201),MxSPNP   ),
     &                (Header(53), NPixM  ),  (Header(205),NCFlag   ),
     &                (Header(57),MaxPix  ),  (Header(373),  RSRV(1)),
     &                (Header(61),  DIN(1)),  (Header(381),MAFname(1)),
     &                (Header(81),DINGR(1)),  (Header(389),IMSYNC   ),
     &                (Header(89),DGHSK(1)),  (Header(391),IDirct(1))

        Integer*4       lmSec
        Integer*2       Lwords, Lbytes, DCU, Offset, NDCorr (3), Order
        Byte            MLC, MLAN, AFWP, SubCom
        Byte            Pixel (150)                 ! minimum PIXEL dimension:
                                                    !  150 for  35 degree MAFs,
                                                    !  576 for 120 degree MAFs,
                                                    ! 1576 for 360 degree MAFs.

        Equivalence     (Scan( 1),Lwords),       (Scan(12),SubCom   ),
     &                  (Scan( 3),Lbytes),       (Scan(13),   DCU   ),
     &                  (Scan( 5), lmSec),       (Scan(15),Offset   ),
     &                  (Scan( 9),   MLC),       (Scan(17),NDCorr(1)),
     &                  (Scan(10),  MLAN),       (Scan(23), Order   ),
     &                  (Scan(11),  AFWP),       (Scan(25), Pixel(1))

