	PROGRAM CHECKMAF

!  reads through an image file and displays information from it

	Implicit        None

        COMMON /MAFRec/HEAD,SCAN    !minimum SCAN dimension:
	BYTE HEAD(404),SCAN(174)   !       174 for  35 degree MAFs,
				   !       600 for 120 degree MAFs,
				   !      1600 for 360 degree MAFs.
	INTEGER*2 IWORDS,IBLOCK,IBYTES,NCFLAG,IMSYNC,IDIRCT(7)
	BYTE RSRV(8),MNAME(8)
	INTEGER*4 NTYPE,YEAR,DAY,MSEC,ID,FWV,FWC,FWT,MLCA,MLCZ,LINES,
     &     NPIXM,MAXPIX,DIN(5),DINGR(2),DGHSK(2),MMC,ANSUB(4),NORBIT,
     &     SCGEI(3),SPIN(3),NORMAL(3),UIPRO,VEL(3),SUN(3),SPRAT,
     &     MSECOA,NSPNP,MNSPNP,MXSPNP
	EQUIVALENCE	(HEAD( 1),IWORDS  ),    (HEAD( 97),   MMC   ),
     &			(HEAD( 3),IBLOCK  ),    (HEAD(101), ANSUB(1)),
     &			(HEAD( 5),IBYTES  ),    (HEAD(117),NORBIT   ),
     &			(HEAD( 9), NTYPE  ),    (HEAD(121), SCGEI(1)),
     &			(HEAD(13),  YEAR  ),    (HEAD(133),  SPIN(1)),
     &			(HEAD(17),   DAY  ),    (HEAD(145),NORMAL(1)),
     &			(HEAD(21),  MSEC  ),    (HEAD(157), UIPRO   ),
     &			(HEAD(25),    ID  ),    (HEAD(161),   VEL(1)),
     &			(HEAD(29),   FWV  ),    (HEAD(173),   SUN(1)),
     &			(HEAD(33),   FWC  ),    (HEAD(185), SPRAT   ),
     &			(HEAD(37),   FWT  ),    (HEAD(189),MSECOA   ),
     &			(HEAD(41),  MLCA  ),    (HEAD(193), NSPNP   ),
     &			(HEAD(45),  MLCZ  ),    (HEAD(197),MNSPNP   ),
     &			(HEAD(49), LINES  ),    (HEAD(201),MXSPNP   ),
     &			(HEAD(53), NPIXM  ),    (HEAD(205),NCFLAG   ),
     &			(HEAD(57),MAXPIX  ),    (HEAD(373),  RSRV(1)),
     &			(HEAD(61),  DIN(1)),    (HEAD(381), MNAME(1)),
     &			(HEAD(81),DINGR(1)),    (HEAD(389),IMSYNC   ),
     &			(HEAD(89),DGHSK(1)),    (HEAD(391),IDIRCT(1))
        INTEGER*4 LMSEC
	INTEGER*2 LWORDS,LBYTES,DCU,OFFSET,NDCORR(3),ORDER
	BYTE MLC,MLAN,AFWP,SUBCOM,PIXEL(150)  !minimum PIXEL dimension:
					      !  150 for  35 degree MAFs,
					      !  576 for 120 degree MAFs,
					      ! 1576 for 360 degree MAFs.
	EQUIVALENCE	(SCAN( 1),LWORDS),       (SCAN(12),SUBCOM   ),
     &			(SCAN( 3),LBYTES),       (SCAN(13),   DCU   ),
     &			(SCAN( 5), LMSEC),       (SCAN(15),OFFSET   ),
     &			(SCAN( 9),   MLC),       (SCAN(17),NDCORR(1)),
     &			(SCAN(10),  MLAN),       (SCAN(23), ORDER   ),
     &			(SCAN(11),  AFWP),       (SCAN(25), PIXEL(1))

	CHARACTER*70    FileName
	INTEGER*4	HH,MM,SS
	INTEGER*2	NUMBER,I,L,nPhot
	CHARACTER*4	NAME
	REAL*4		SP,ALTF
	CHARACTER*1	PHOTID(3)
	DATA PHOTID/'A','B','C'/

        External OpenMAF,CloseMAF,ReadMAF   !$pragma C(OpenMAF,CloseMAF,ReadMAF)

!---get file name and open
	WRITE(6,'(A, $)') 'Enter full image file name >'
	READ(5,'(A)',end=666) FileName
	WRITE(6,'(A)') FileName
        i = Index (FileName, ' ')
        FileName ( i:i ) = Char (0)
        Call OpenMAF (FileName)
        Call ReadMAF (HEAD, 404)
        Call MAF_Header ()

	HH = mSec/3600000
	MM = (mSec - HH * 3600000) / 60000
	SS = (mSec - HH * 3600000 - MM * 60000) / 1000
        nPhot = ID
	CALL FILTERS(nPhot,FWV,NAME,NUMBER,SP,ALTF)
	WRITE(6,'(A)') NAME
	IF (ABS(MLCA-MLCZ).GT.118) THEN
	    WRITE(6,'(I2,I3.3,I2.2,I2.2,I2.2,A,A1,Z1,A)')
     &			YEAR,DAY,HH,MM,SS,'_',PHOTID(ID),NUMBER,'F'
	ELSE
	    IF (MLCA.EQ.MLCZ) THEN
		WRITE(6,'(I2,I3.3,I2.2,I2.2,I2.2,A,A1,Z1,A)')
     &			YEAR,DAY,HH,MM,SS,'_',PHOTID(ID),NUMBER,'O'
	    ELSE
		WRITE(6,'(I2,I3.3,I2.2,I2.2,I2.2,A,A1,Z1,A)')
     &			YEAR,DAY,HH,MM,SS,'_',PHOTID(ID),NUMBER,'R'
	    ENDIF
	ENDIF
	WRITE(6,'(A,I12,3X,A,Z12.8,/,A,I12,3X,A,Z12.8,/,3(29X,Z12.8,/),
     &       A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,2(29X,I12,/),
     &       A,I12,3X,A,I12,/,2(29X,I12,/),A,I12,3X,A,I12,/,2(29X,I12,/),
     &       A,I12,3X,A,Z12.8,/,A,I12,3X,A,I12,/,2(29X,I12,/),
     &       A,I12,3X,A,I12,/,2(29X,I12,/),A,Z12.8,3X,A,I12,/,
     &       A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,
     &	     A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,A,I12,3X,A,4X,8A1,/,
     &       A,I12,4(/,7X,I12),3X,A,4X,8A1,/,A,I12,/,7X,I12,3X,A,Z12.8,/,
     &       A,Z12.8,/,7X,Z12.8,3X,A,Z12.8,6(/,29X,Z12.8))')
     &	   ' IWORDS',IWORDS,'    MMC',MMC,' IBLOCK',IBLOCK,
     &	   '  ANSUB',ANSUB,' IBYTES',IBYTES,' NORBIT',NORBIT,
     &	   '  NTYPE',NTYPE,'  SCGEI',SCGEI,'   YEAR',YEAR,'   SPIN',
     &	   SPIN,'    DAY',DAY,' NORMAL',NORMAL,'   MSEC',MSEC,
     &	   '  UIPRO',UIPRO,'     ID',ID,'    VEL',VEL,'    FWV',FWV,
     &     '    SUN',SUN,'    FWC',FWC,'  SPRAT',SPRAT,'    FWT',FWT,
     &	   ' MSECOA',MSECOA,'   MLCA',MLCA,'  NSPNP',NSPNP,'   MLCZ',
     &	   MLCZ,' MNSPNP',MNSPNP,'  LINES',LINES,' MXSPNP',MXSPNP,
     &     '  NPIXM',NPIXM,' NCFLAG',NCFLAG,' MAXPIX',MAXPIX,'   RSRV',
     &	   RSRV,'    DIN',DIN,'  MNAME',MNAME,'  DINGR',DINGR,' IMSYNC',
     &     IMSYNC,'  DGHSK',DGHSK,' IDIRCT',IDIRCT

!---get each scan line record, print the contents
	DO L=1,Lines
            Call ReadMAF (SCAN, 174)
            Call MAF_ScanLine ()

	    WRITE(6,'(A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,
     &		  A,I12,3X,A,I12,/,A,I12,3X,A,I12,/,2(29X,I12,/),
     &		  A,I12,3X,A,I12,/,A,I12,/,A,15I4,/,(7X,15I4))')
     &		  ' LWORDS',LWORDS,' SUBCOM',SUBCOM,' LBYTES',LBYTES,
     &		  '    DCU',DCU,'  LMSEC',LMSEC,' OFFSET',OFFSET,
     &		  '    MLC',ZEXT(MLC),' NDCORR',NDCORR,'   MLAN',ZEXT(MLAN),
     &		  '  ORDER',ORDER,'   AFWP',AFWP,'  PIXEL',PIXEL
	ENDDO

666     Write (6,*) ' '
        Call CloseMAF ()

	END
